Subject: Re: [PATCH 0/9] midx: implement a multi-pack reverse index

From: Derrick Stolee <[email-masked]>
Date: Wed, 10 Feb 2021 21:58:18 -0500

On 2/10/21 6:02 PM, Taylor Blau wrote:
> This series describes and implements a reverse index for the multi-pack index,
> based on a "pseudo-pack" which can be uniquely described by the multi-pack
> index.
> 
> The details of the pseudo-pack, and multi-pack reverse index are laid out in
> detail in the sixth patch.
> 
> This is in support of multi-pack reachability bitmaps, which contain objects
> from the multi-pack index. Likewise, an object's bit position in a multi-pack
> reachability bitmap is determined by its position with that multi-pack index's
> pseudo pack.

This has been a lot of work, but I'm impressed with the progress here.

This series is good prep, and my comments are very minor.

Since the need for these multi-pack-index-<hash>.rev files doesn't show
up until the reachability bitmaps can be paired with MIDX files, it
would make sense to hold this series in 'next' until that one also
stabilizes and they merge to 'master' together.

Thanks,
-Stolee